Debian Bug report logs - #556526
hurd - FHS violation: /libexec

version graph

Package: hurd; Maintainer for hurd is GNU Hurd Maintainers <debian-hurd@lists.debian.org>; Source for hurd is src:hurd.

Reported by: Bastian Blank <waldi@debian.org>

Date: Mon, 16 Nov 2009 14:42:01 UTC

Severity: serious

Found in version hurd/20090404-2

Fixed in version hurd/20111206-1

Done: Samuel Thibault <sthibault@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#556526; Package hurd. (Mon, 16 Nov 2009 14:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. (Mon, 16 Nov 2009 14:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: hurd - FHS violation: /libexec
Date: Mon, 16 Nov 2009 15:40:05 +0100
Package: hurd
Version: 20090404-2
Severity: important

Hurd violates the FHS by using /libexec. This name seems to be only used
by init and /etc/ttys.

Bastian

-- 
There are some things worth dying for.
		-- Kirk, "Errand of Mercy", stardate 3201.7




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#556526; Package hurd. (Wed, 07 Sep 2011 09:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. (Wed, 07 Sep 2011 09:12:04 GMT) Full text and rfc822 format available.

Message #10 received at 556526@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Bastian Blank <waldi@debian.org>, 556526@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#556526: hurd - FHS violation: /libexec
Date: Wed, 7 Sep 2011 11:07:31 +0200
severity 556526 serious
thanks

Hi,

On Mon, Nov 16, 2009 at 03:40:05PM +0100, Bastian Blank wrote:
> Package: hurd
> Version: 20090404-2
> Severity: important
> 
> Hurd violates the FHS by using /libexec. This name seems to be only used
> by init and /etc/ttys.

I'm upgrading this to serious on the grounds that this package is only
useful on the non-release architecture hurd-i386 and it's clearly a
policy violation that makes the package unsuitable for a release.

Kind regards
Philipp Kern




Severity set to 'serious' from 'important' Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Wed, 07 Sep 2011 09:12:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#556526; Package hurd. (Fri, 09 Sep 2011 10:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémie Koenig <jk@jk.fr.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. (Fri, 09 Sep 2011 10:45:06 GMT) Full text and rfc822 format available.

Message #17 received at 556526@bugs.debian.org (full text, mbox):

From: Jérémie Koenig <jk@jk.fr.eu.org>
To: 556526@bugs.debian.org
Subject: Re: Bug#556526: hurd - FHS violation: /libexec
Date: Fri, 9 Sep 2011 12:40:39 +0200
On Wed, Sep 7, 2011 at 11:07 AM, Philipp Kern <pkern@debian.org> wrote:
> On Mon, Nov 16, 2009 at 03:40:05PM +0100, Bastian Blank wrote:
>> Hurd violates the FHS by using /libexec. This name seems to be only used
>> by init and /etc/ttys.
>
> I'm upgrading this to serious on the grounds that this package is only
> useful on the non-release architecture hurd-i386 and it's clearly a
> policy violation that makes the package unsuitable for a release.

There's a patch here: http://lists.archhurd.org/devel/msg00102.html.

The patch moves /libexec/* to /etc. I guess /sbin (or maybe,
/lib/hurd) would be more appropriate. What do you think?

-- 
Jérémie Koenig <jk@jk.fr.eu.org>
http://jk.fr.eu.org/




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#556526; Package hurd. (Fri, 09 Sep 2011 11:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gergely Nagy <algernon@madhouse-project.org>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. (Fri, 09 Sep 2011 11:06:17 GMT) Full text and rfc822 format available.

Message #22 received at 556526@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@madhouse-project.org>
To: 556526@bugs.debian.org
Subject: Re: Bug#556526: hurd - FHS violation: /libexec
Date: Fri, 09 Sep 2011 13:01:58 +0200
Jérémie Koenig <jk@jk.fr.eu.org> writes:

> On Wed, Sep 7, 2011 at 11:07 AM, Philipp Kern <pkern@debian.org> wrote:
>> On Mon, Nov 16, 2009 at 03:40:05PM +0100, Bastian Blank wrote:
>>> Hurd violates the FHS by using /libexec. This name seems to be only used
>>> by init and /etc/ttys.
>>
>> I'm upgrading this to serious on the grounds that this package is only
>> useful on the non-release architecture hurd-i386 and it's clearly a
>> policy violation that makes the package unsuitable for a release.
>
> There's a patch here: http://lists.archhurd.org/devel/msg00102.html.
>
> The patch moves /libexec/* to /etc. I guess /sbin (or maybe,
> /lib/hurd) would be more appropriate. What do you think?

With my "occassional Hurd user" hat on, /lib/hurd sounds like the most
appropriate place to put these stuff into, or failing that, /sbin. But
definitely not /etc. Neither init, nor console-run strike me as things
the user would wish to edit.

-- 
|8]




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#556526; Package hurd. (Tue, 08 Nov 2011 00:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. (Tue, 08 Nov 2011 00:27:07 GMT) Full text and rfc822 format available.

Message #27 received at 556526@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 556526@bugs.debian.org
Subject: Re: Bug#556526: hurd - FHS violation: /libexec
Date: Tue, 8 Nov 2011 01:23:06 +0100
Philipp Kern, le Wed 07 Sep 2011 11:07:31 +0200, a écrit :
> Package: hurd
> Version: 20090404-2
> Severity: important
> 
> Hurd violates the FHS by using /libexec. This name seems to be only used
> by init and /etc/ttys.

It shouldn't be too hard to move from /libexec, there's currently

console-run
getty
rc
@runsystem
runsystem.gnu
runttys

getty could go into /sbin/getty (util-linux does not ship it),
console-run and runttys probably, too. rc could go to /etc/hurd/rc, as
well as runsystem?

Samuel




Added tag(s) pending. Request was from Samuel Thibault <samuel.thibault@ens-lyon.org> to control@bugs.debian.org. (Sat, 12 Nov 2011 18:00:05 GMT) Full text and rfc822 format available.

Message sent on to Bastian Blank <waldi@debian.org>:
Bug#556526. (Sat, 12 Nov 2011 18:00:15 GMT) Full text and rfc822 format available.

Message #32 received at 556526-submitter@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: 556526-submitter@bugs.debian.org
Subject: Bug#556526 marked as pending
Date: Sat, 12 Nov 2011 17:57:07 +0000
tag 556526 pending
thanks

Hello,

Bug #556526 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=pkg-hurd/hurd.git;a=commitdiff;h=ca4b69e

---
commit ca4b69ea7caf14fff4842edfeacc7f24b6a1698d
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Sat Nov 12 18:56:50 2011 +0100

    Drop /libexec
    
      * patches/libexec.patch, hurd.install, hurd-udeb.install, hurd.postinst,
        rules: Move getty, console-run, and runttys to /sbin, runsystem and rc to
        /etc/hurd (Closes: Bug#556526).
      * hurd-udeb.lintian-overrides: Drop override about /libexec

diff --git a/debian/changelog b/debian/changelog
index a40d865..7977e9e 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,10 +1,14 @@
 hurd (20111106-2) UNRELEASED; urgency=low
 
-  * debian/control:
+  * control:
     - Use hurd-any instead of hurd-i386.
     - Recommend bf-utf-source to get more than just latin1 on the console.
-  * debian/hurd.postinst: Set up "*random" alternatives and generate seed on
+  * hurd.postinst: Set up "*random" alternatives and generate seed on
     first install too.
+  * patches/libexec.patch, hurd.install, hurd-udeb.install, hurd.postinst,
+    rules: Move getty, console-run, and runttys to /sbin, runsystem and rc to
+    /etc/hurd (Closes: Bug#556526).
+  * hurd-udeb.lintian-overrides: Drop override about /libexec
 
  -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Nov 2011 19:51:54 +0100
 




Reply sent to Samuel Thibault <sthibault@debian.org>:
You have taken responsibility. (Thu, 08 Dec 2011 07:19:17 GMT) Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. (Thu, 08 Dec 2011 07:19:17 GMT) Full text and rfc822 format available.

Message #37 received at 556526-close@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 556526-close@bugs.debian.org
Subject: Bug#556526: fixed in hurd 20111206-1
Date: Thu, 08 Dec 2011 07:03:57 +0000
Source: hurd
Source-Version: 20111206-1

We believe that the bug you reported is fixed in the latest version of
hurd, which is due to be installed in the Debian FTP archive:

hurd-dbg_20111206-1_hurd-i386.deb
  to main/h/hurd/hurd-dbg_20111206-1_hurd-i386.deb
hurd-dev_20111206-1_hurd-i386.deb
  to main/h/hurd/hurd-dev_20111206-1_hurd-i386.deb
hurd-doc_20111206-1_all.deb
  to main/h/hurd/hurd-doc_20111206-1_all.deb
hurd-udeb_20111206-1_hurd-i386.udeb
  to main/h/hurd/hurd-udeb_20111206-1_hurd-i386.udeb
hurd_20111206-1.debian.tar.bz2
  to main/h/hurd/hurd_20111206-1.debian.tar.bz2
hurd_20111206-1.dsc
  to main/h/hurd/hurd_20111206-1.dsc
hurd_20111206-1_hurd-i386.deb
  to main/h/hurd/hurd_20111206-1_hurd-i386.deb
hurd_20111206.orig.tar.gz
  to main/h/hurd/hurd_20111206.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 556526@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Samuel Thibault <sthibault@debian.org> (supplier of updated hurd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 06 Dec 2011 01:49:34 +0100
Source: hurd
Binary: hurd hurd-dev hurd-dbg hurd-doc hurd-udeb
Architecture: source all hurd-i386
Version: 20111206-1
Distribution: unstable
Urgency: low
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Changed-By: Samuel Thibault <sthibault@debian.org>
Description: 
 hurd       - GNU Hurd
 hurd-dbg   - GNU Hurd (debugging files)
 hurd-dev   - GNU Hurd (development files)
 hurd-doc   - GNU Hurd manual
 hurd-udeb  - GNU Hurd - udeb (udeb)
Closes: 556526 650096 650097 650186
Changes: 
 hurd (20111206-1) unstable; urgency=low
 .
   * New upstream snapshot.
     - Drop debian/patches/libpager_update_seqno.patch, applied upstream.
     - Closes: #650097, #650186, #650096.
   * control:
     - Use hurd-any instead of hurd-i386.
     - Recommend bf-utf-source to get more than just latin1 on the console.
   * hurd.postinst: Set up "*random" alternatives and generate seed on
     first install too.
   * patches/libexec.patch, hurd.install, hurd-udeb.install, hurd.postinst,
     rules: Move getty, console-run, and runttys to /sbin, runsystem and rc to
     /etc/hurd (Closes: Bug#556526).
   * hurd-udeb.lintian-overrides: Drop override about /libexec
   * local/random-hurd.sh, urandom-hurd.sh: Add scripts to be used as
     hurd-provided translators for /dev/*random.
   * hurd.postinst: Remove "random" alternative introduced by 20111106-1, as it
     makes rgrep in /etc not working any more. Install random.sh alternative
     instead, which sets /hurd/u?random.sh scripts.
   * local/setup-translators: Set /dev/u?random translator from
     /hurd/u?random.sh instead of making them alternatives. Set up
     /dev/u?random in hurd-udeb too.
   * hurd-udeb.install: Add /hurd/random.
   * hurd.install: Add /etc/securetty.
   * local/setup-translators: Move /run initialization to...
   * patches/run.patch: ... boot time.
Checksums-Sha1: 
 85cf2151c8082842297fd13e37a6c53019b09504 1751 hurd_20111206-1.dsc
 8f8e4333a52a7d391fd2b7862a7288992bb0d75e 2717008 hurd_20111206.orig.tar.gz
 03f8381160d1834225b4e171117e12f3a83f236b 85280 hurd_20111206-1.debian.tar.bz2
 8c5d7ad7f157fe7feb0fcab7fdfa22325a54f4ee 198216 hurd-doc_20111206-1_all.deb
 5e060ca26bdf2e6cb530f939c493d5f0510dfec8 3622824 hurd_20111206-1_hurd-i386.deb
 2bc86dac8fdb28952a4e99ae3a51a3a279fa4a12 590646 hurd-dev_20111206-1_hurd-i386.deb
 1ccd2ca58e529d0c9f4532aaaf92c7207556b769 6521184 hurd-dbg_20111206-1_hurd-i386.deb
 60ff918e6faec2e49a3f59922395c2fe0e40fbd4 2059466 hurd-udeb_20111206-1_hurd-i386.udeb
Checksums-Sha256: 
 30f4b2c568fa5b38c7c33d8e46aec3979b430ff1a764b060f422eab5d8007f41 1751 hurd_20111206-1.dsc
 6f911f09b6b1152bb5082f1f785cfc50c6a24a461241add28e743c6c771799bb 2717008 hurd_20111206.orig.tar.gz
 15ba458afedaab2cebb0d3d66ad6fac27f099642cc3c71db1e90960d5101c11e 85280 hurd_20111206-1.debian.tar.bz2
 06b5660674bd12b2c41d82d4ad69ca22da5ef2cfa65074936726a6e66363067b 198216 hurd-doc_20111206-1_all.deb
 f3df4c1a66ea8d57956d494a1acd32d42c841d5bb416aa1d2ef827a4cad376d2 3622824 hurd_20111206-1_hurd-i386.deb
 5251862ecf9bd8e37acd38288e71b466cb851be5264f3d9828ccee7039de2ce2 590646 hurd-dev_20111206-1_hurd-i386.deb
 0dd5bb42beca1d97b6918557b29f9b408bd0a7e2e580950f7c90e69e2b8a4193 6521184 hurd-dbg_20111206-1_hurd-i386.deb
 a7cbd3c3a1734c1ae84c7fe41dc1e83b229c91b671c3f45bbb0a5ea0f7ae62f9 2059466 hurd-udeb_20111206-1_hurd-i386.udeb
Files: 
 ff90ffd08e3e73e9619d6383cf7196f4 1751 admin required hurd_20111206-1.dsc
 8227dde7c2f509511221ed915a072f8e 2717008 admin required hurd_20111206.orig.tar.gz
 24cf3f9d90d5826248ca3ddae74b09b6 85280 admin required hurd_20111206-1.debian.tar.bz2
 ec4cf4ec3420c6ddeae66ab38c192691 198216 doc optional hurd-doc_20111206-1_all.deb
 19d59343bd215b6d4521e25dbd985ce8 3622824 admin required hurd_20111206-1_hurd-i386.deb
 e49be1cf8b4a84a91d70f6d6d10a254c 590646 libdevel standard hurd-dev_20111206-1_hurd-i386.deb
 95acd9627d71f1c5a52489085947bee7 6521184 debug extra hurd-dbg_20111206-1_hurd-i386.deb
 11b70b67785dc95bba07d1721400614a 2059466 debian-installer optional hurd-udeb_20111206-1_hurd-i386.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iF4EAREKAAYFAk7gXOkACgkQa6Lp0s/HjrMTJQEAhFBN1YUmjdZ3IPiO5vJ9QJHi
rYlNnTT5u46MibVXxF4A/R8vyMjHuaNUp6hN2nA60WnI6NVr96E9DCzOO1Z+BOD7
=Ow3a
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 06 Jan 2012 07:30:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 16:19:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.